### Virtual Method

# Camel Address format

#### Declaration [src]

    gchar*
    format (
      CamelAddress* addr
    )

#### Description [src]

Format an address in a format suitable for display.

#### Return value

Type: `gchar*`

A newly allocated string containing the formatted addresses.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.